Public Class SettingScrollBar
	Inherits System.Windows.Forms.ScrollBar
	Implements ISettingCtrl
	Implements ISettingRange
#Region " Windows Form Designer Code "

	Public Sub New()
		MyBase.New()

		InitializeComponent()


	End Sub

	Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			If Not (components Is Nothing) Then
				components.Dispose()
			End If
		End If
		MyBase.Dispose(disposing)
	End Sub

	Private components As System.ComponentModel.IContainer

	<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
		components = New System.ComponentModel.Container
	End Sub

#End Region
	Public Event SettingValueChanged(ByVal sender As Object, ByVal e As EventArgs) Implements ISettingCtrl.SettingValueChanged

	Private m_SettingID As SettingIDs = SettingIDs.UNKNOWN
	Public Property SettingID() As SettingIDs Implements ISettingCtrl.SettingID
		Get
			Return (m_SettingID)
		End Get
		Set(ByVal vValue As SettingIDs)
			m_SettingID = vValue
		End Set
	End Property
	Public Property SettingValue() As Integer Implements ISettingCtrl.SettingValue
		Get
			Return (Value)
		End Get
		Set(ByVal vValue As Integer)
			Value = vValue
		End Set
	End Property

	Protected Overrides Sub OnScroll(ByVal se As System.Windows.Forms.ScrollEventArgs)
		RaiseEvent SettingValueChanged(Me, New EventArgs)
	End Sub


	Public Property SettingMin() As Integer Implements ISettingRange.SettingMin
		Get
			Return (Minimum)
		End Get
		Set(ByVal Value As Integer)
			Minimum = Value
		End Set
	End Property
	Public Property SettingMax() As Integer Implements ISettingRange.SettingMax
		Get
			Return (Maximum)
		End Get
		Set(ByVal Value As Integer)
			Maximum = Value
		End Set
	End Property
End Class
